OpenEL 3.0.0

Functions | Variables
openEL_0000000012345678.c File Reference

OpenEL Actuator Source File 3.0.0. More...

`#include "openEL.h"`
`#include "openEL_0000000012345678.h"`
`#include <stdio.h>`

Go to the source code of this file.

## Functions
enum ReturnCode | Init_0000000012345678 ()
enum ReturnCode | ReInit_0000000012345678 ()
enum ReturnCode | Finalize_0000000012345678 ()
enum ReturnCode | AddObserver_0000000012345678 (HALOBSERVER_T halObserver)
enum ReturnCode | RemoveObserver_0000000012345678 (HALOBSERVER_T halObserver)
enum ReturnCode | GetProperty_0000000012345678 ()
enum ReturnCode | GetTime_0000000012345678 ()
enum ReturnCode | SetPosition_0000000012345678 (HALCOMPONENT_T **halComponent, halfloat position)
enum ReturnCode | GetPosition_0000000012345678 (HALCOMPONENT_T **halComponent, halfloat **position)
enum ReturnCode | Dummy ()

## Variables
const EL_CMN_FNC_TBL_T | component_0000000012345678 = {(void *)(&motorFncTbl_0000000012345678)}

## Detailed Description

OpenEL Actuator Source File 3.0.0.

Definition in file openEL_0000000012345678.c.

## Function Documentation

## ◆ AddObserver_0000000012345678()

enum ReturnCode AddObserver_0000000012345678 | ( | HALOBSERVER_T | halObserver | ) |

Definition at line 53 of file openEL_0000000012345678.c.

## ◆ Dummy()

enum ReturnCode Dummy | ( |  | ) |

Definition at line 82 of file openEL_0000000012345678.c.

## ◆ Finalize_0000000012345678()

enum ReturnCode Finalize_0000000012345678 | ( |  | ) |

Definition at line 48 of file openEL_0000000012345678.c.

## ◆ GetPosition_0000000012345678()

enum ReturnCode GetPosition_0000000012345678 | ( | HALCOMPONENT_T ** | halComponent,
|  | halfloat ** | position
| ) |  |

Definition at line 76 of file openEL_0000000012345678.c.

## ◆ GetProperty_0000000012345678()

enum ReturnCode GetProperty_0000000012345678 | ( |  | ) |

Definition at line 62 of file openEL_0000000012345678.c.

## ◆ GetTime_0000000012345678()

enum ReturnCode GetTime_0000000012345678 | ( |  | ) |

Definition at line 66 of file openEL_0000000012345678.c.

## ◆ Init_0000000012345678()

enum ReturnCode Init_0000000012345678 | ( |  | ) |

Definition at line 37 of file openEL_0000000012345678.c.

## ◆ ReInit_0000000012345678()

enum ReturnCode ReInit_0000000012345678 | ( |  | ) |

Definition at line 43 of file openEL_0000000012345678.c.

## ◆ RemoveObserver_0000000012345678()

enum ReturnCode RemoveObserver_0000000012345678 | ( | HALOBSERVER_T | halObserver | ) |

Definition at line 58 of file openEL_0000000012345678.c.

## ◆ SetPosition_0000000012345678()

enum ReturnCode SetPosition_0000000012345678 | ( | HALCOMPONENT_T ** | halComponent,
|  | halfloat | position
| ) |  |

Definition at line 70 of file openEL_0000000012345678.c.

## Variable Documentation

## ◆ component_0000000012345678

const EL_CMN_FNC_TBL_T component_0000000012345678 = {(void *)(&motorFncTbl_0000000012345678)}

Definition at line 126 of file openEL_0000000012345678.c.